## kubernetes-helm 3.12.3+ds1

=== Makefile ===
BINDIR      := $(CURDIR)/bin
INSTALL_PATH ?= /usr/local/bin
DIST_DIRS   := find * -type d -exec
TARGETS     := darwin/amd64 darwin/arm64 linux/amd64 linux/386 linux/arm linux/arm64 linux/ppc64le linux/s390x windows/amd64
TARGET_OBJS ?= darwin-amd64.tar.gz darwin-amd64.tar.gz.sha256 darwin-amd64.tar.gz.sha256sum darwin-arm64.tar.gz darwin-arm64.tar.gz.sha256 darwin-arm64.tar.gz.sha256sum linux-amd64.tar.gz linux-amd64.tar.gz.sha256 linux-amd64.tar.gz.sha256sum linux-386.tar.gz linux-386.tar.gz.sha256 linux-386.tar.gz.sha256sum linux-arm.tar.gz linux-arm.tar.gz.sha256 linux-arm.tar.gz.sha256sum linux-arm64.tar.gz linux-arm64.tar.gz.sha256 linux-arm64.tar.gz.sha256sum linux-ppc64le.tar.gz linux-ppc64le.tar.gz.sha256 linux-ppc64le.tar.gz.sha256sum linux-s390x.tar.gz linux-s390x.tar.gz.sha256 linux-s390x.tar.gz.sha256sum windows-amd64.zip windows-amd64.zip.sha256 windows-amd64.zip.sha256sum
BINNAME     ?= helm

GOBIN         = $(shell go env GOBIN)
ifeq ($(GOBIN),)
GOBIN         = $(shell go env GOPATH)/bin
endif
GOX           = $(GOBIN)/gox
GOIMPORTS     = $(GOBIN)/goimports
ARCH          = $(shell uname -p)

ACCEPTANCE_DIR:=../acceptance-testing
# To specify the subset of acceptance tests to run. '.' means all tests
ACCEPTANCE_RUN_TESTS=.

# go option
PKG         := ./...
TAGS        :=
TESTS       := .
TESTFLAGS   :=
LDFLAGS     := -w -s
GOFLAGS     :=
CGO_ENABLED ?= 0

# Rebuild the binary if any of these files change
SRC := $(shell find . -type f -name '*.go' -print) go.mod go.sum

# Required for globs to work correctly
SHELL      = /usr/bin/env bash

GIT_COMMIT = $(shell git rev-parse HEAD)
GIT_SHA    = $(shell git rev-parse --short HEAD)
GIT_TAG    = $(shell git describe --tags --abbrev=0 --exact-match 2>/dev/null)
GIT_DIRTY  = $(shell test -n "`git status --porcelain`" && echo "dirty" || echo "clean")

ifdef VERSION
	BINARY_VERSION = $(VERSION)
endif
BINARY_VERSION ?= ${GIT_TAG}

# Only set Version if building a tag or VERSION is set
ifneq ($(BINARY_VERSION),)
	LDFLAGS += -X helm.sh/helm/v3/internal/version.version=${BINARY_VERSION}
endif

VERSION_METADATA = unreleased
# Clear the "unreleased" string in BuildMetadata
ifneq ($(GIT_TAG),)
	VERSION_METADATA =
endif

LDFLAGS += -X helm.sh/helm/v3/internal/version.metadata=${VERSION_METADATA}
LDFLAGS += -X helm.sh/helm/v3/internal/version.gitCommit=${GIT_COMMIT}
LDFLAGS += -X helm.sh/helm/v3/internal/version.gitTreeState=${GIT_DIRTY}
LDFLAGS += $(EXT_LDFLAGS)

# Define constants based on the client-go version
K8S_MODULES_VER=$(subst ., ,$(subst v,,$(shell go list -f '{{.Version}}' -m k8s.io/client-go)))
K8S_MODULES_MAJOR_VER=$(shell echo $$(($(firstword $(K8S_MODULES_VER)) + 1)))
K8S_MODULES_MINOR_VER=$(word 2,$(K8S_MODULES_VER))

LDFLAGS += -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMinor=$(K8S_MODULES_MINOR_VER)
LDFLAGS += -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMinor=$(K8S_MODULES_MINOR_VER)

.PHONY: all
all: build

# ------------------------------------------------------------------------------
#  build

.PHONY: build
build: $(BINDIR)/$(BINNAME)

$(BINDIR)/$(BINNAME): $(SRC)
	GO111MODULE=on CGO_ENABLED=$(CGO_ENABLED) go build $(GOFLAGS) -trimpath -tags '$(TAGS)' -ldflags '$(LDFLAGS)' -o '$(BINDIR)'/$(BINNAME) ./cmd/helm

# ------------------------------------------------------------------------------
#  install

.PHONY: install
install: build
	@install "$(BINDIR)/$(BINNAME)" "$(INSTALL_PATH)/$(BINNAME)"

# ------------------------------------------------------------------------------
#  test

.PHONY: test
test: build
ifeq ($(ARCH),s390x)
test: TESTFLAGS += -v
else
test: TESTFLAGS += -race -v
endif
test: test-style
test: test-unit

.PHONY: test-unit
test-unit:
	@echo
	@echo "==> Running unit tests <=="
	GO111MODULE=on go test $(GOFLAGS) -run $(TESTS) $(PKG) $(TESTFLAGS)

.PHONY: test-coverage
test-coverage:
	@echo
	@echo "==> Running unit tests with coverage <=="
	@ ./scripts/coverage.sh

.PHONY: test-style
test-style:
	GO111MODULE=on golangci-lint run
	@scripts/validate-license.sh

.PHONY: test-acceptance
test-acceptance: TARGETS = linux/amd64
test-acceptance: build build-cross
	@if [ -d "${ACCEPTANCE_DIR}" ]; then \
		cd ${ACCEPTANCE_DIR} && \
			ROBOT_RUN_TESTS=$(ACCEPTANCE_RUN_TESTS) ROBOT_HELM_PATH='$(BINDIR)' make acceptance; \
	else \
		echo "You must clone the acceptance_testing repo under $(ACCEPTANCE_DIR)"; \
		echo "You can find the acceptance_testing repo at https://github.com/helm/acceptance-testing"; \
	fi

.PHONY: test-acceptance-completion
test-acceptance-completion: ACCEPTANCE_RUN_TESTS = shells.robot
test-acceptance-completion: test-acceptance

.PHONY: coverage
coverage:
	@scripts/coverage.sh

.PHONY: format
format: $(GOIMPORTS)
	GO111MODULE=on go list -f '{{.Dir}}' ./... | xargs $(GOIMPORTS) -w -local helm.sh/helm

# Generate golden files used in unit tests
.PHONY: gen-test-golden
gen-test-golden:
gen-test-golden: PKG = ./cmd/helm ./pkg/action
gen-test-golden: TESTFLAGS = -update
gen-test-golden: test-unit

# ------------------------------------------------------------------------------
#  dependencies

# If go install is run from inside the project directory it will add the
# dependencies to the go.mod file. To avoid that we change to a directory
# without a go.mod file when downloading the following dependencies

$(GOX):
	(cd /; GO111MODULE=on go install github.com/mitchellh/gox@latest)

$(GOIMPORTS):
	(cd /; GO111MODULE=on go install golang.org/x/tools/cmd/goimports@latest)

# ------------------------------------------------------------------------------
#  release

.PHONY: build-cross
build-cross: LDFLAGS += -extldflags "-static"
build-cross: $(GOX)
	GOFLAGS="-trimpath" GO111MODULE=on CGO_ENABLED=0 $(GOX) -parallel=3 -output="_dist/{{.OS}}-{{.Arch}}/$(BINNAME)" -osarch='$(TARGETS)' $(GOFLAGS) -tags '$(TAGS)' -ldflags '$(LDFLAGS)' ./cmd/helm

.PHONY: dist
dist:
	( \
		cd _dist && \
		$(DIST_DIRS) cp ../LICENSE {} \; && \
		$(DIST_DIRS) cp ../README.md {} \; && \
		$(DIST_DIRS) tar -zcf helm-${VERSION}-{}.tar.gz {} \; && \
		$(DIST_DIRS) zip -r helm-${VERSION}-{}.zip {} \; \
	)

.PHONY: fetch-dist
fetch-dist:
	mkdir -p _dist
	cd _dist && \
	for obj in ${TARGET_OBJS} ; do \
		curl -sSL -o helm-${VERSION}-$${obj} https://get.helm.sh/helm-${VERSION}-$${obj} ; \
	done

.PHONY: sign
sign:
	for f in $$(ls _dist/*.{gz,zip,sha256,sha256sum} 2>/dev/null) ; do \
		gpg --armor --detach-sign $${f} ; \
	done

# The contents of the .sha256sum file are compatible with tools like
# shasum. For example, using the following command will verify
# the file helm-3.1.0-rc.1-darwin-amd64.tar.gz:
#   shasum -a 256 -c helm-3.1.0-rc.1-darwin-amd64.tar.gz.sha256sum
# The .sha256 files hold only the hash and are not compatible with
# verification tools like shasum or sha256sum. This method and file can be
# removed in Helm v4.
.PHONY: checksum
checksum:
	for f in $$(ls _dist/*.{gz,zip} 2>/dev/null) ; do \
		shasum -a 256 "$${f}" | sed 's/_dist\///' > "$${f}.sha256sum" ; \
		shasum -a 256 "$${f}" | awk '{print $$1}' > "$${f}.sha256" ; \
	done

# ------------------------------------------------------------------------------

.PHONY: clean
clean:
	@rm -rf '$(BINDIR)' ./_dist

.PHONY: release-notes
release-notes:
		@if [ ! -d "./_dist" ]; then \
			echo "please run 'make fetch-dist' first" && \
			exit 1; \
		fi
		@if [ -z "${PREVIOUS_RELEASE}" ]; then \
			echo "please set PREVIOUS_RELEASE environment variable" \
			&& exit 1; \
		fi

		@./scripts/release-notes.sh ${PREVIOUS_RELEASE} ${VERSION}



.PHONY: info
info:
	 @echo "Version:           ${VERSION}"
	 @echo "Git Tag:           ${GIT_TAG}"
	 @echo "Git Commit:        ${GIT_COMMIT}"
	 @echo "Git Tree State:    ${GIT_DIRTY}"

=== debian/changelog ===
kubernetes-helm (3.12.3+ds1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:55:42 +0200

kubernetes-helm (3.12.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 11:49:30 +0200

kubernetes-helm (3.12.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 15:41:10 +0200

kubernetes-helm (3.12.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 16:13:11 +0200

kubernetes-helm (3.12.0-dev.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.12.0-dev.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Mar 2023 14:35:13 +0100

kubernetes-helm (3.11.0+ds1-0kali3) kali-dev; urgency=medium

  * Change package name: a source package named helm arleady exists in Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2023 14:41:18 +0100

helm (3.11.0+ds1-0kali2) kali-dev; urgency=medium

  * Add missing ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2023 14:40:54 +0100

helm (3.11.0+ds1-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 3.11.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Jan 2023 15:54:52 +0100

=== debian/control ===
Source: kubernetes-helm
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 dh-golang,
 golang-any,
 golang-github-burntsushi-toml-dev,
 golang-github-data-dog-go-sqlmock-dev,
 golang-github-masterminds-semver-dev,
 golang-github-masterminds-sprig-dev,
# golang-github-masterminds-squirrel-dev,
 golang-github-masterminds-vcs-dev,
 golang-github-asaskevich-govalidator-dev,
 golang-github-containerd-containerd-dev,
 golang-github-cyphar-filepath-securejoin-dev,
# goland-github-distribution-distribution-dev,
 golang-github-evanphx-json-patch-dev,
 golang-github-gobwas-glob-dev,
 golang-github-gofrs-flock-dev,
 golang-github-gosuri-uitable-dev,
 golang-github-jmoiron-sqlx-dev,
 golang-github-lib-pq-dev,
 golang-github-mattn-go-shellwords-dev,
 golang-github-mitchellh-copystructure-dev,
 golang-github-moby-term-dev,
 golang-github-opencontainers-image-spec-dev,
# golang-github-phayes-freeport-dev,
 golang-github-pkg-errors-dev,
 golang-github-rubenv-sql-migrate-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-github-xeipuuv-gojsonschema-dev,
 golang-golang-x-term-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-text-dev,
 golang-google-grpc-dev,
# golang-k8s-api-dev,
# golang-k8s-apiextensions-apiserver-dev,
# golang-k8s-apimachinery-dev,
# golang-k8s-apiserver-dev,
# golang-k8s-cli-runtime-dev,
# golang-k8s-client-go-dev,
 golang-k8s-klog-dev,
# golang-k8s-kubectl-dev,
 golang-k8s-sigs-yaml-dev,
 golang-oras-oras-go-dev
Standards-Version: 4.6.2
Homepage: https://github.com/helm/helm
XS-Go-Import-Path: github.com/helm.sh/helm/v3

Package: kubernetes-helm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: kubernetes-client
Built-Using: ${misc:Built-Using}
Description: tool for managing Charts (helm)
 This package contains a tool for managing Charts. Charts are packages of
 pre-configured Kubernetes resources.
 .
 Use Helm to:
    * Find and use popular software packaged as Helm Charts to run in Kubernetes
    * Share your own applications as Helm Charts
    * Create reproducible builds of your Kubernetes applications
    * Intelligently manage your Kubernetes manifest files

## kubernetes-helm 3.18.3+ds1

=== debian/changelog ===
kubernetes-helm (3.18.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Jun 2025 10:00:08 +0200

kubernetes-helm (3.18.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Jun 2025 11:26:15 +0200

kubernetes-helm (3.18.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 11:54:40 +0200

kubernetes-helm (3.17.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Apr 2025 13:31:04 +0200

kubernetes-helm (3.17.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.2+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 16:17:24 +0200

kubernetes-helm (3.17.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.0+ds1

 -- Sophie Brun <sophie@freexian.com>  Thu, 16 Jan 2025 12:08:02 +0100

kubernetes-helm (3.16.4+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.16.4+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 14:35:28 +0100

kubernetes-helm (3.16.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.16.2+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Oct 2024 14:47:25 +0200

kubernetes-helm (3.15.4+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.4+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Aug 2024 16:07:57 +0200

kubernetes-helm (3.15.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Aug 2024 17:18:55 +0200

kubernetes-helm (3.15.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.15.1+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 17:43:26 +0200

kubernetes-helm (3.14.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2024 09:53:01 +0100

kubernetes-helm (3.14.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.0+ds1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Feb 2024 14:51:40 +0100

kubernetes-helm (3.13.3+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.3+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Dec 2023 15:28:59 +0100

kubernetes-helm (3.13.2+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2023 17:28:23 +0100

kubernetes-helm (3.13.1+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:10:52 +0200

kubernetes-helm (3.13.0+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.13.0+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2023 14:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kubernetes-helm
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -53,6 +53,8 @@
  golang-oras-oras-go-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/helm/helm
+Vcs-Browser: https://gitlab.com/kalilinux/packages/kubernetes-helm
+Vcs-Git: https://gitlab.com/kalilinux/packages/kubernetes-helm.git
 XS-Go-Import-Path: github.com/helm.sh/helm/v3
 
 Package: kubernetes-helm

## kubernetes-helm 3.18.6+ds1

=== debian/changelog ===
kubernetes-helm (3.18.6+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.18.6+ds1

 -- Sophie Brun <sophie@kali.org>  Fri, 22 Aug 2025 11:40:41 +0200

kubernetes-helm (3.18.5+ds1-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 3.18.5+ds1

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 15:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-rc/~rc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
    https://github.com/helm/helm/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## kubernetes-helm 3.19.0%2Bds1

=== debian/changelog ===
kubernetes-helm (3.19.0+ds1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 3.19.0+ds1

 -- Sophie Brun <sophie@kali.org>  Wed, 24 Sep 2025 14:51:26 +0200

=== debian/tests/control ===
Test-Command: helm -h
Restrictions: superficial, allow-stderr

## kubernetes-helm 3.19.0+ds1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  ca-certificates,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/build

%:
	dh $@ --builddirectory=_build

override_dh_auto_build:
	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# it requires golangci-lint. It's not available in Kali

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@STABLE_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-/~/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
    https://github.com/helm/helm/tags \
    (?:.*?/)v?@STABLE_VERSION@@ARCHIVE_EXT@

## kubernetes-helm 4.0.5+ds1

=== Makefile ===
BINDIR      := $(CURDIR)/bin
INSTALL_PATH ?= /usr/local/bin
DIST_DIRS   := find * -type d -exec
TARGETS     := darwin/amd64 darwin/arm64 linux/amd64 linux/386 linux/arm linux/arm64 linux/loong64 linux/ppc64le linux/s390x linux/riscv64 windows/amd64 windows/arm64
TARGET_OBJS ?= darwin-amd64.tar.gz darwin-amd64.tar.gz.sha256 darwin-amd64.tar.gz.sha256sum darwin-arm64.tar.gz darwin-arm64.tar.gz.sha256 darwin-arm64.tar.gz.sha256sum linux-amd64.tar.gz linux-amd64.tar.gz.sha256 linux-amd64.tar.gz.sha256sum linux-386.tar.gz linux-386.tar.gz.sha256 linux-386.tar.gz.sha256sum linux-arm.tar.gz linux-arm.tar.gz.sha256 linux-arm.tar.gz.sha256sum linux-arm64.tar.gz linux-arm64.tar.gz.sha256 linux-arm64.tar.gz.sha256sum linux-loong64.tar.gz linux-loong64.tar.gz.sha256 linux-loong64.tar.gz.sha256sum linux-ppc64le.tar.gz linux-ppc64le.tar.gz.sha256 linux-ppc64le.tar.gz.sha256sum linux-s390x.tar.gz linux-s390x.tar.gz.sha256 linux-s390x.tar.gz.sha256sum linux-riscv64.tar.gz linux-riscv64.tar.gz.sha256 linux-riscv64.tar.gz.sha256sum windows-amd64.zip windows-amd64.zip.sha256 windows-amd64.zip.sha256sum windows-arm64.zip windows-arm64.zip.sha256 windows-arm64.zip.sha256sum
BINNAME     ?= helm

GOBIN         = $(shell go env GOBIN)
ifeq ($(GOBIN),)
GOBIN         = $(shell go env GOPATH)/bin
endif
GOX           = $(GOBIN)/gox
GOIMPORTS     = $(GOBIN)/goimports
ARCH          = $(shell go env GOARCH)

ACCEPTANCE_DIR := ../acceptance-testing
# To specify the subset of acceptance tests to run. '.' means all tests
ACCEPTANCE_RUN_TESTS = .

# go option
PKG         := ./...
TAGS        :=
TESTS       := .
TESTFLAGS   := -shuffle=on -count=1
LDFLAGS     := -w -s
GOFLAGS     :=
CGO_ENABLED ?= 0

# Rebuild the binary if any of these files change
SRC := $(shell find . -type f -name '*.go' -print) go.mod go.sum

# Required for globs to work correctly
SHELL      = /usr/bin/env bash

GIT_COMMIT = $(shell git rev-parse HEAD)
GIT_SHA    = $(shell git rev-parse --short HEAD)
GIT_TAG    = $(shell git describe --tags --abbrev=0 --exact-match 2>/dev/null)
GIT_DIRTY  = $(shell test -n "`git status --porcelain`" && echo "dirty" || echo "clean")

ifdef VERSION
	BINARY_VERSION = $(VERSION)
endif
BINARY_VERSION ?= ${GIT_TAG}

# Only set Version if building a tag or VERSION is set
ifneq ($(BINARY_VERSION),)
	LDFLAGS += -X helm.sh/helm/v4/internal/version.version=${BINARY_VERSION}
endif

VERSION_METADATA = unreleased
# Clear the "unreleased" string in BuildMetadata
ifneq ($(GIT_TAG),)
	VERSION_METADATA =
endif

LDFLAGS += -X helm.sh/helm/v4/internal/version.metadata=${VERSION_METADATA}
LDFLAGS += -X helm.sh/helm/v4/internal/version.gitCommit=${GIT_COMMIT}
LDFLAGS += -X helm.sh/helm/v4/internal/version.gitTreeState=${GIT_DIRTY}
LDFLAGS += $(EXT_LDFLAGS)

# Define constants based on the client-go version
K8S_MODULES_VER=$(subst ., ,$(subst v,,$(shell go list -f '{{.Version}}' -m k8s.io/client-go)))
K8S_MODULES_MAJOR_VER=$(shell echo $$(($(firstword $(K8S_MODULES_VER)) + 1)))
K8S_MODULES_MINOR_VER=$(word 2,$(K8S_MODULES_VER))

LDFLAGS += -X helm.sh/helm/v4/pkg/chart/v2/lint/rules.k8sVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v4/pkg/chart/v2/lint/rules.k8sVersionMinor=$(K8S_MODULES_MINOR_VER)
LDFLAGS += -X helm.sh/helm/v4/pkg/internal/v3/lint/rules.k8sVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v4/pkg/internal/v3/lint/rules.k8sVersionMinor=$(K8S_MODULES_MINOR_VER)
LDFLAGS += -X helm.sh/helm/v4/pkg/chart/common.k8sVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v4/pkg/chart/common.k8sVersionMinor=$(K8S_MODULES_MINOR_VER)
LDFLAGS += -X helm.sh/helm/v4/internal/version.kubeClientVersionMajor=$(K8S_MODULES_MAJOR_VER)
LDFLAGS += -X helm.sh/helm/v4/internal/version.kubeClientVersionMinor=$(K8S_MODULES_MINOR_VER)

.PHONY: all
all: build

# ------------------------------------------------------------------------------
#  build

.PHONY: build
build: $(BINDIR)/$(BINNAME) tidy

$(BINDIR)/$(BINNAME): $(SRC)
	CGO_ENABLED=$(CGO_ENABLED) go build $(GOFLAGS) -trimpath -tags '$(TAGS)' -ldflags '$(LDFLAGS)' -o '$(BINDIR)'/$(BINNAME) ./cmd/helm

# ------------------------------------------------------------------------------
#  install

.PHONY: install
install: build
	@install "$(BINDIR)/$(BINNAME)" "$(INSTALL_PATH)/$(BINNAME)"

# ------------------------------------------------------------------------------
#  test

.PHONY: test
test: build
ifeq ($(ARCH),s390x)
test: TESTFLAGS += -v
else
test: TESTFLAGS += -race -v
endif
test: test-style
test: test-unit

.PHONY: test-unit
test-unit:
	@echo
	@echo "==> Running unit tests <=="
	go test $(GOFLAGS) -run $(TESTS) $(PKG) $(TESTFLAGS)
	@echo
	@echo "==> Running unit test(s) with ldflags <=="
# Test to check the deprecation warnings on Kubernetes templates created by `helm create` against the current Kubernetes
# version. Note: The version details are set in var LDFLAGS. To avoid the ldflags impact on other unit tests that are
# based on older versions, this is run separately. When run without the ldflags in the unit test (above) or coverage
# test, it still passes with a false-positive result as the resources shouldn’t be deprecated in the older Kubernetes
# version if it only starts failing with the latest.
	go test $(GOFLAGS) -run ^TestHelmCreateChart_CheckDeprecatedWarnings$$ ./pkg/chart/v2/lint/ $(TESTFLAGS) -ldflags '$(LDFLAGS)'
	go test $(GOFLAGS) -run ^TestHelmCreateChart_CheckDeprecatedWarnings$$ ./internal/chart/v3/lint/ $(TESTFLAGS) -ldflags '$(LDFLAGS)'


# To run the coverage for a specific package use: make test-coverage PKG=./pkg/action
.PHONY: test-coverage
test-coverage:
	@echo
	@echo "==> Running unit tests with coverage: $(PKG) <=="
	@ ./scripts/coverage.sh $(PKG)

.PHONY: test-style
test-style:
	golangci-lint run ./...
	@scripts/validate-license.sh

.PHONY: test-source-headers
test-source-headers:
	@scripts/validate-license.sh

.PHONY: test-acceptance
test-acceptance: TARGETS = linux/amd64
test-acceptance: build build-cross
	@if [ -d "${ACCEPTANCE_DIR}" ]; then \
		cd ${ACCEPTANCE_DIR} && \
			ROBOT_RUN_TESTS=$(ACCEPTANCE_RUN_TESTS) ROBOT_HELM_PATH='$(BINDIR)' make acceptance; \
	else \
		echo "You must clone the acceptance_testing repo under $(ACCEPTANCE_DIR)"; \
		echo "You can find the acceptance_testing repo at https://github.com/helm/acceptance-testing"; \
	fi

.PHONY: test-acceptance-completion
test-acceptance-completion: ACCEPTANCE_RUN_TESTS = shells.robot
test-acceptance-completion: test-acceptance

.PHONY: format
format: $(GOIMPORTS)
	go list -f '{{.Dir}}' ./... | xargs $(GOIMPORTS) -w -local helm.sh/helm

# Generate golden files used in unit tests
.PHONY: gen-test-golden
gen-test-golden:
gen-test-golden: PKG = ./pkg/cmd ./pkg/action
gen-test-golden: TESTFLAGS = -update
gen-test-golden: test-unit

# ------------------------------------------------------------------------------
#  dependencies

# If go install is run from inside the project directory it will add the
# dependencies to the go.mod file. To avoid that we change to a directory
# without a go.mod file when downloading the following dependencies

$(GOX):
	(cd /; go install github.com/mitchellh/gox@v1.0.2-0.20220701044238-9f712387e2d2)

$(GOIMPORTS):
	(cd /; go install golang.org/x/tools/cmd/goimports@latest)

# ------------------------------------------------------------------------------
#  release

.PHONY: build-cross
build-cross: LDFLAGS += -extldflags "-static"
build-cross: $(GOX)
	GOFLAGS="-trimpath" CGO_ENABLED=0 $(GOX) -parallel=3 -output="_dist/{{.OS}}-{{.Arch}}/$(BINNAME)" -osarch='$(TARGETS)' $(GOFLAGS) -tags '$(TAGS)' -ldflags '$(LDFLAGS)' ./cmd/helm

.PHONY: dist
dist:
	( \
		cd _dist && \
		$(DIST_DIRS) cp ../LICENSE {} \; && \
		$(DIST_DIRS) cp ../README.md {} \; && \
		$(DIST_DIRS) tar -zcf helm-${VERSION}-{}.tar.gz {} \; && \
		$(DIST_DIRS) zip -r helm-${VERSION}-{}.zip {} \; \
	)

.PHONY: fetch-dist
fetch-dist:
	mkdir -p _dist
	cd _dist && \
	for obj in ${TARGET_OBJS} ; do \
		curl -sSL -o helm-${VERSION}-$${obj} https://get.helm.sh/helm-${VERSION}-$${obj} ; \
	done

.PHONY: sign
sign:
	for f in $$(ls _dist/*.{gz,zip,sha256,sha256sum} 2>/dev/null) ; do \
		gpg --armor --detach-sign $${f} ; \
	done

# The contents of the .sha256sum file are compatible with tools like
# shasum. For example, using the following command will verify
# the file helm-3.1.0-rc.1-darwin-amd64.tar.gz:
#   shasum -a 256 -c helm-3.1.0-rc.1-darwin-amd64.tar.gz.sha256sum
# The .sha256 files hold only the hash and are not compatible with
# verification tools like shasum or sha256sum. This method and file can be
# removed in Helm v4.
.PHONY: checksum
checksum:
	for f in $$(ls _dist/*.{gz,zip} 2>/dev/null) ; do \
		shasum -a 256 "$${f}" | sed 's/_dist\///' > "$${f}.sha256sum" ; \
		shasum -a 256 "$${f}" | awk '{print $$1}' > "$${f}.sha256" ; \
	done

# ------------------------------------------------------------------------------

.PHONY: clean
clean:
	@rm -rf '$(BINDIR)' ./_dist

.PHONY: release-notes
release-notes:
	@if [ ! -d "./_dist" ]; then \
		echo "please run 'make fetch-dist' first" && \
		exit 1; \
	fi
	@if [ -z "${PREVIOUS_RELEASE}" ]; then \
		echo "please set PREVIOUS_RELEASE environment variable" && \
		exit 1; \
	fi
	@./scripts/release-notes.sh ${PREVIOUS_RELEASE} ${VERSION}

.PHONY: info
info:
	@echo "Version:           ${VERSION}"
	@echo "Git Tag:           ${GIT_TAG}"
	@echo "Git Commit:        ${GIT_COMMIT}"
	@echo "Git Tree State:    ${GIT_DIRTY}"

.PHONY: tidy
tidy:
	go mod tidy

=== internal/plugin/testdata/src/extismv1-test/Makefile ===

.DEFAULT: build
.PHONY: build test vet

.PHONY: plugin.wasm
plugin.wasm:
	GOOS=wasip1 GOARCH=wasm go build -buildmode=c-shared -o plugin.wasm .

build: plugin.wasm

vet:
	GOOS=wasip1 GOARCH=wasm go vet ./...

=== debian/changelog ===
kubernetes-helm (4.0.5+ds1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.5+ds1
  * Build with debian/vendor
  * Add a patch to fix the build

 -- Sophie Brun <sophie@kali.org>  Fri, 23 Jan 2026 15:04:44 +0100

=== debian/control ===
Source: kubernetes-helm
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 ca-certificates,
 dh-golang,
 golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/helm/helm
Vcs-Browser: https://gitlab.com/kalilinux/packages/kubernetes-helm
Vcs-Git: https://gitlab.com/kalilinux/packages/kubernetes-helm.git
XS-Go-Import-Path: github.com/helm.sh/helm/v4

Package: kubernetes-helm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: kubernetes-client
Built-Using: ${misc:Built-Using}
Description: tool for managing Charts (helm)
 This package contains a tool for managing Charts. Charts are packages of
 pre-configured Kubernetes resources.
 .
 Use Helm to:
    * Find and use popular software packaged as Helm Charts to run in Kubernetes
    * Share your own applications as Helm Charts
    * Create reproducible builds of your Kubernetes applications
    * Intelligently manage your Kubernetes manifest files

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/build
export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --with=golang --buildsystem=golang

execute_after_dh_auto_configure:
	cp -av debian/vendor .
	
override_dh_auto_build:
	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_golang:

override_dh_auto_test:
	# it requires golangci-lint. It's not available in Kali
